using System;
using OpenNETCF.IO.Serial;
using System.Text;
using System.Collections;
using System.Threading;
using System.IO;
using System.Globalization;

/// <summary>
/// Produced Under the Terms Of The OpennetCF License
/// 
/// By Richard Jones - Richard@BinaryRefinery.com
/// 
/// </summary>
namespace OpenNETCF.IO.Serial.GPS
{

	public enum CardinalDirection
	{
		North = 0,
		East = 1,
		South = 2,
		West = 4,
		NorthWest = 5,
		NorthEast = 6,
		SouthWest = 7,
		SouthEast = 8,
		Stationary = 9
	}

	public enum States
	{
		AutoDiscovery,
		Opening,
		Running,
		Stopping,
		Stopped
	}

	public enum StatusType
	{
		NotSet,
		OK, //A
		Warning //V

	}

	public enum FixType
	{
		NotSet,
		NoAltitude,
		WithAltitude
	}
}