using System;
using OpenNETCF.IO.Serial;
using System.Text;
using System.Collections;
using System.Threading;
using System.IO;
using System.Globalization;

/// <summary>
/// Produced Under the Terms Of The OpennetCF License
/// 
/// By Richard Jones - Richard@BinaryRefinery.com
/// 
/// </summary>
namespace OpenNETCF.IO.Serial.GPS
{

	public class objMovement
	{
		decimal speedknots=0;
		decimal speedmph=0;
		decimal speedkph=0;
		decimal track=0;
		decimal magneticvariation=0;
		CardinalDirection directionmagnetic=CardinalDirection.West;

		public decimal MagneticVariation
		{
			get
			{
				return magneticvariation;
			}
			set
			{
				magneticvariation=value;
			}
		}

		public CardinalDirection DirectionMagnetic
		{
			get
			{
				return directionmagnetic;
			}
			set
			{
				directionmagnetic=value;
			}
		}

		public decimal SpeedKnots
		{
			get
			{
				return speedknots;
			}
			set
			{
				speedknots=value;
				speedmph=Math.Round(Misc.KnotsToMph(speedknots),1);
				speedkph=Math.Round(Misc.KnotsToKph(speedknots),1);
			}

		}

		public decimal SpeedMph
		{
			get
			{
				return speedmph;
			}

		}


		public decimal SpeedKph
		{
			get
			{
				return speedkph;
			}

		}

		public decimal Track
		{
			get
			{
				return Math.Round(track,1);
			}
			set
			{
				track=value;
			}
		}
	}
}
